Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 933102

Summary: dev-python/netaddr-1.3.0 fails to compile: python_setup: no enabled implementation satisfy requirements
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: Python Gentoo Team <python>
Status: RESOLVED FIXED    
Severity: normal CC: leonchik1976, mgorny
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2024-05-29 06:42:23 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-python/netaddr-1.3.0 fails to compile.
Discovered on: amd64 (internal ref: ci)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#CF0003
Comment 1 Agostino Sarubbo gentoo-dev 2024-05-29 06:42:24 UTC
Created attachment 894587 [details]
build.log

build log and emerge --info
Comment 2 Leonid Kopylov 2024-07-20 17:24:23 UTC
Builds with USE=-doc
Comment 3 Larry the Git Cow gentoo-dev 2024-07-20 17:43:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5495da2ccfddfba2874001b6c3ecb96c42f98b4

commit f5495da2ccfddfba2874001b6c3ecb96c42f98b4
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2024-07-20 17:35:58 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2024-07-20 17:35:58 +0000

    dev-python/netaddr: Fix BDEPEND overwrite
    
    Closes: https://bugs.gentoo.org/933102
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/netaddr/netaddr-1.3.0.ebuild | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)